%define _build_lang uk_UA.KOI8-U
%define oname iceB
%define oversion 9_0

Name: iceb
Version: 9.0
Release: alt1

Summary: Free financial accounting system (console)

Packager: Vitaly Lipatov <lav@altlinux.ru>

Group: Office
License: GPL
Url: http://www.iceb.com.ua

Source: %url/download/%oname-%oversion.tar.bz2
Source1: %name
Source3: %name.16.xpm
Source4: %name.32.xpm
Source5: %name.48.xpm

Patch: iceb-%version.patch

# Automatically added by buildreq on Sun Dec 28 2008
BuildRequires: gcc-c++ libMySQL-devel libncurses-devel

%description
Free financial accounting system.

%package doc-html
Group: Office
Summary: iceb documentation.
Requires: %name = %version

%description doc-html
This package include iceB documentation in html format.

%prep
%setup -q -c
%patch

%build
%autoreconf
%configure \
	--with-lang=ua \
	--disable-static \
	--with-lang-path=%_datadir/locale \
	--with-lock-dir=/var/lock/serial \
	--with-config-path=%_datadir/%name \
	--with-maxfkeys=10 \
	--with-gnu-ld

%make_build

%install
[ -z "$TMPDIR" ] && TMPDIR=/tmp
FAKEDIR=$TMPDIR/%{name}_tmp_install
mkdir -p $FAKEDIR

%makeinstall \
    CONFDIR=$FAKEDIR \
    ICEB_LANG_PATH=%buildroot/%_datadir/locale/uk \
    bindir=%buildroot/%_libdir/%name/bin \
    libdir=%buildroot/%_libdir/%name

rm -rf $FAKEDIR

%makeinstall CONFDIR=%buildroot/%_datadir/%name/iceb -C buhg/bx
%makeinstall CONFDIR=%buildroot/%_datadir/%name/doc -C buhg/doc

mkdir -p /%buildroot%_bindir
install -m 755 %SOURCE1 %buildroot/%_bindir
%__subst "s|/usr/lib|%_libdir|g" %buildroot/%_bindir/%name
rm -rf %buildroot%_libdir/%name/*.{a,la}

#install docs
#%define htmldir %buildroot/%_docdir/%name-%version/html
#mkdir -p %htmldir

#cp {CHANGES,INSTALL} %buildroot/%_docdir/%name-%version

#pushd buhg/doc
#cp {buhg,dokum,kas,p,r,uos,usl,zarp}*.txt \
#    {smenabaz,spec,start,local,matu}.txt \
#    %htmldir
#popd
#util/icedoc2sgml.pl %htmldir
#pushd %htmldir
#    sgml2html iceB.sgml
#    ln -s iceB.html index.html
#    rm -f *.txt *.sgml
#popd

#mkdir -p %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
#install -m 644 %SOURCE3 %buildroot/%_miconsdir/%name.xpm
#install -m 644 %SOURCE4 %buildroot/%_iconsdir/%name.xpm
#install -m 644 %SOURCE5 %buildroot/%_liconsdir/%name.xpm

%files
%doc CHANGES
%_bindir/%name
%_libdir/%name/bin
%_datadir/%name
#%_menudir/%name
#%_iconsdir/%name.xpm
#%_liconsdir/%name.xpm
#%_miconsdir/%name.xpm

%lang(uk) %_datadir/locale/uk/LC_MESSAGES/*.mo

#%files doc-html
#%_docdir/%name-%version/html

%changelog
* Sun Dec 28 2008 Vitaly Lipatov <lav@altlinux.ru> 9.0-alt1
- build new version, update spec
- disable build html doc

* Fri Jun 18 2004 Sergey V Turchin <zerg at altlinux dot org> 5.60-alt2
- fix menu section

* Tue Feb 03 2004 Sergey V Turchin <zerg at altlinux dot org> 5.60-alt1
- new version

* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 5.35-alt2
- fix build requires

* Fri Sep 13 2002 Sergey V Turchin <zerg@altlinux.ru> 5.35-alt1
- new version
- byuld with gcc3.2

* Mon Apr 08 2002 Sergey V Turchin <zerg@altlinux.ru> 5.24-alt2
- add -doc-html package

* Fri Apr 05 2002 Sergey V Turchin <zerg@altlinux.ru> 5.24-alt1
- initial spec
